Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.acegisecurity
Class AbstractAuthenticationManager

    java.lang.Object
      org.acegisecurity.AbstractAuthenticationManager

All Implemented Interfaces:
  AuthenticationManager

Direct Known Subclasses:
  MockAuthenticationManager, ProviderManager

    public abstract class AbstractAuthenticationManager

extends Object
implements AuthenticationManager

An abstract implementation of the `AuthenticationManager`.

Version:
  $Id: AbstractAuthenticationManager.java,v 1.2 2005/11/17 00:55:49 benalex Exp $
Author:
  Wesley Hall

Constructor Summary
`AbstractAuthenticationManager()`

Method Summary
`Authentication` | `authenticate(Authentication authentication)` An implementation of the `authenticate` method that calls the abstract method `doAuthenticatation` to do its work.
`protected abstract Authentication` | `doAuthentication(Authentication authentication)` Concrete implementations of this class override this method to provide the authentication service.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractAuthenticationManager

    public AbstractAuthenticationManager()

Method Detail

### authenticate

    public final Authentication authenticate(Authentication authentication)
                                      throws AuthenticationException

  An implementation of the `authenticate` method that calls the abstract method `doAuthenticatation` to do its work.

  If doAuthenticate throws an `AuthenticationException` then the exception is populated with the failed `Authentication` object that failed.

  Specified by:
    `authenticate` in interface `AuthenticationManager`
  Parameters:
    `authentication` - the authentication request object
  Returns:
    a fully authenticated object including credentials
  Throws:
    `AuthenticationException` - if authentication fails

### doAuthentication

    protected abstract Authentication doAuthentication(Authentication authentication)
                                                throws AuthenticationException

  Concrete implementations of this class override this method to provide the authentication service.

  The contract for this method is documented in the `AuthenticationManager.authenticate(org.acegisecurity.Authentication)`.

  Parameters:
    `authentication` - the authentication request object
  Returns:
    a fully authenticated object including credentials
  Throws:
    `AuthenticationException` - if authentication fails

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2005 Acegi Technology Pty Limited. All Rights Reserved.